scala.collection.jcl
trait IterableWrapper

[source: `scala/collection/jcl/IterableWrapper.scala`]

`` `trait` IterableWrapper[A]
  `extends` MutableIterable[A]

  A wrapper around a Java collection that only supports remove mutations.

Author
  Sean McDirmid

Direct Known Subclasses:
  CollectionWrapper, MapWrapper.ValueSet

Method Summary
`override def` | clear : Unit clear all elements from the collection.
`override def` | elements : MutableIterator[A] The default implementation of a map over mutable iterable collections.
`override def` | isEmpty : Boolean Is this collection empty?
`override def` | remove (a : A) : Boolean
`override def` | removeAll (that : Iterable[A]) : Boolean
`override def` | retainAll (that : Iterable[A]) : Boolean retain only elements that are also in that.
`override def` | size : Int Returns the number of elements in this collection.
`abstract def` | underlying : Collection

Methods inherited from MutableIterable
has, --, -, retain, size0, projection

Methods inherited from Collection
toArray, toString, stringPrefix

Methods inherited from Iterable
concat, ++, map, flatMap, filter, takeWhile, dropWhile, take, drop, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, toStream, mkString, mkString, mkString, addString, addString, copyToArray, hasDefiniteSize

Methods inherited from AnyRef
getClass, hashCode, equals, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Class Summary
`class` | IteratorWrapper (underlying : Iterator)`extends` MutableIterator[A]

Method Details

`abstract` `def` underlying : Collection

`override` `def` remove(a : A) : Boolean

Returns
  true if t was removed from this collection.

Overrides
  MutableIterable.remove

`override` `def` removeAll(that : Iterable[A]) : Boolean

Returns
  true if any element in that was removed from this collection.

Overrides
  MutableIterable.removeAll

`override` `def` retainAll(that : Iterable[A]) : Boolean

  retain only elements that are also in that.

Overrides
  MutableIterable.retainAll

`override` `def` size : Int

  Returns the number of elements in this collection.

Returns
  number of collection elements.

`override` `def` isEmpty : Boolean

  Is this collection empty?

`override` `def` clear : Unit

  clear all elements from the collection.

Overrides
  MutableIterable.clear

`override` `def` elements : MutableIterator[A]

  The default implementation of a map over mutable iterable collections.

Overrides
  MutableIterable.elements